%% LaTeX-Beamer template for KIT design
%% by Erik Burger, Christian Hammer
%% title picture by Klaus Krogmann
%%
%% version 2.0
%%
%% mostly compatible to KIT corporate design v2.0
%% http://intranet.kit.edu/gestaltungsrichtlinien.php
%%
%% Problems, bugs and comments to
%% burger@kit.edu

\PassOptionsToPackage{babel,german=guillemets}{csquotes}
\PassOptionsToPackage{hyphens}{url}

\documentclass[handout,navbaroff]{sdqbeamer}

%% Gruppenlogo
\grouplogo{sdq_logo} 

%% Gruppenname
\groupname{Software-Entwurf und -Qualität (SDQ)}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[T1]{tipa}

\usepackage[normalem]{ulem}
\usepackage{wasysym}

\usepackage{templates/tikzkit}

\usepackage{booktabs}

\usepackage[citestyle=numeric,style=numeric,backend=biber]{biblatex}
\addbibresource{engrish_ref.bib}
%% TITLE PICTURE

% if a custom picture is to be used on the title page, copy it into the 'logos'
% directory, in the line below, replace 'mypicture' with the 
% filename (without extension) and uncomment the following line
% (picture proportions: 63 : 20, *.eps format if you use latex+dvips+ps2pdf,
% *.jpg/*.png/*.pdf if you use pdflatex)

\titleimage{towerbridge}

%% TITLE LOGO

% for a custom logo on the front page, copy your file into the 'logos'
% directory, insert the filename in the line below and uncomment it

%\titlelogo{mylogo}

% (*.eps format if you use latex+dvips+ps2pdf,
% *.jpg/*.png/*.pdf if you use pdflatex)

%% BIBTEX ICON/KEY

% if you want to see BibTeX keys in the references view instead of the symbol,
% uncomment the following line
% \usebibitemtemplate{\insertbiblabel}

% the presentation starts here

\title[Can you English?]{Can you English?\\I can good English!}
\subtitle{Gutes Englisch in Publikation und Vortrag}
\author{Erik Burger}

\institute{Chair for Software Design and Quality}

\begin{document}

% change the following line to "ngerman" for German style date and logos
\selectlanguage{ngerman}

%title page
\KITtitleframe

%table of contents
\begin{frame}{Gliederung}
\tableofcontents
\end{frame}

\begin{frame}{Vorbemerkung}
\begin{alertblock}{Disclaimer}
Die im Abschnitt \emph{Ausdrücke} und \emph{Stil} vorgestellten Regeln sind nur als \textbf{Hinweise bzw. Ratschläge} zu verstehen.

Auch bei \emph{Orthographie} und \emph{Grammatik} gibt es im Englischen keine gesetzlichen Regelungen wie im Deutschen (Duden).

Vieles in diesem Vortrag ist eine Frage des persönlichen Geschmacks.
\end{alertblock}
\end{frame}

\section{Stil}
\subsection*{Stil}

\begin{frame}
\frametitle{Aktiv/Passiv}
\begin{block}{Use the active voice}
\begin{itemize}
\item anstatt Passiv/substantivierter Verben
\item im Deutschen gelten Passivkonstruktionen und nominale Ausdrücke u.U. als guter Stil
\item im Englischen eher nicht
\end{itemize}
\end{block}
\begin{table}
\begin{tabular}{p{.45\linewidth} p{.45\linewidth}}
\toprule
\enquote{Die starke gegenseitige Abhängigkeit von Geschäftsprozessen und informationstechnischer Unterstützung wird durch den Pfeil in Abbildung 1 veranschaulicht.} &
``The arrow in figure 1 illustrates how business processes and IT support depend on each other.''\\
\bottomrule
\end{tabular}
\end{table}
\end{frame}

\begin{frame}
\frametitle{Positive Form}

\begin{contentblock}{Put statements in positive form}
\vskip.5em
\begin{table}
\begin{tabular}{p{.45\linewidth} p{.45\linewidth}}
\toprule
Assuring protocol interoperability is not possible. & Assuring protocol interoperability is impossible.\\
\midrule
The value of the array is not relevant. & The value of the array is irrelevant.\\
\bottomrule
\end{tabular}
\end{table}
\end{contentblock}

\end{frame}

\begin{frame}
\frametitle{Unnütze Wörter}
\begin{contentblock}{Omit needless words}
    \vskip.5em
\begin{table}
\begin{tabular}{p{.45\linewidth}p{.45\linewidth}}
\toprule
The reason for this construct lies in the fact that \dots & 
The reason for this construct is \dots\\
\midrule
Despite the fact that several concepts in the PCM have counterparts in UML2, \dots & 
Although several concepts in the PCM have counterparts in UML2, \dots\\
\midrule
Component models from academia have been designed to support purposes like runtime configuration, \dots &
Component models from academia have been designed to support runtime configuration, \dots\\
\midrule
\dots cannot be determined in the same way. The reason for this is that continuous variables \dots &
\dots cannot be determined in the same way, because continuous variables \dots\\
\bottomrule
\end{tabular}
\end{table}
\end{contentblock}

\end{frame}

\begin{frame}
\frametitle{Sonstiges}
\begin{block}{One of the most}
\begin{itemize}
\item Sätze nicht mit diesem Ausdruck beginnen
\item \textbf{Beispiel}: ``One of the most important arguments for component-based software development is the black-box reuse of components.''
\end{itemize}
\end{block}
\end{frame}


\begin{frame}
\frametitle{Konjunktionen}
\begin{block}{Usage of ``while''}
\begin{itemize}
\item avoid the use ``while'' for \emph{and, but,} and \emph{although}
\item substitute with a semicolon where possible
\end{itemize}
\end{block}

\begin{table}
\begin{tabular}{p{.45\linewidth}p{.45\linewidth}}
\toprule
Thick arrows represent a change of activity, while thin arrows characterise the flow of artifacts. &
Thick arrows represent a change of activity; thin arrows characterise the flow of artifacts. \\
\midrule
While different SEFF types have been proposed, the only type currently implemented is the ResourceDemandingSEFF. &
Although different SEFF types have been proposed, the only type currently implemented is the ResourceDemandingSEFF.\\
\bottomrule
\end{tabular}
\end{table}
\end{frame}

\section{Ausdrücke}
\begin{frame}
\frametitle{Gliederung}
\tableofcontents[currentsection]
\end{frame}

\subsection{Verben}
\begin{frame}
\frametitle{Verben}
\begin{block}{to allow sb. to do sth.}
\begin{itemize}
\item \enquote{Das Palladio-Komponentenmodell \alert<1>{\emph{erlaubt}} die Modellierung von Performance-Eigenschaften.}
\item ``The Palladio component model \alert<2>{\emph{offers}} the modelling of performance properties.''
\item to allow sb. to do sth. = erlauben im Sinne von \enquote{Erlaubnis geben}
\item to allow for = berücksichtigen / in Betracht ziehen
\item besser: to enable, to offer, to provide means for
\item generell: immer \alert<3>{mit Objekt}, also ``allows us to'' bzw. ``allows the developer to''
\end{itemize}
\end{block}

\end{frame}

\begin{frame}
\frametitle{Verben}
\begin{block}{there exist(s)}
\begin{itemize}
\item \enquote{Es gibt}/\enquote{Es existiert} = ``there is/there are''
\item ``there exists'' nur bei mathematischen Definitionen und Sätzen verwenden
\item im Sinne von \enquote{$\exists$}
\item Bespiel: ``Let there exist a natural number $n$ so that $1<n<10$.''
\end{itemize}
\end{block}
\end{frame}

\subsection{Sonstiges}
\begin{frame}
\frametitle{Sonstiges}
\begin{block}{However}
\begin{itemize}
\item Im Sinne von \enquote{jedoch}~\emph{nicht} am Satzanfang benutzen.
\item Bedeutung am Satzanfang: \enquote{Wie auch immer}
\end{itemize}
\end{block}
\vspace{1em}
\begin{figure}
\begin{table}
\begin{tabular}{p{.45\linewidth}p{.45\linewidth}}
\toprule
However, the component developer can specify dependencies. & The component developer can, however, specify dependencies.\\
\midrule
\multicolumn{2}{p{.9\linewidth}}{However unfeasible it may seem, you should continue writing your PhD thesis.}\\
\bottomrule
\end{tabular}
\end{table}
\end{figure}

\end{frame}

\subsection{False friends}
\begin{frame}
\frametitle{False Friends}

\begin{table}
\begin{tabular}{p{.2\linewidth}p{.2\linewidth}p{.2\linewidth}p{.2\linewidth}}
\toprule
\textbf{Deutsch} & \textbf{Englisch\newline(korrekt)} & \textbf{Englisch (falsch)} & \textbf{heißt wirklich}\\
\midrule
eventuell & possibly & eventually & schließlich\\
\midrule
aktuell & current & actual & tatsächlich\\
\midrule
Fehler & error/fault & failure & Scheitern\\
\midrule
sensibel & sensitive & sensible & vernünftig\\ 
\bottomrule
\end{tabular}
\end{table}

\end{frame}

% \begin{frame}
% \frametitle{Scheinanglizismen}
% \begin{table}
% \begin{tabular}{ll}
% \textbf{Deutsch} & \textbf{Englisch}\\
% \toprule
% Beamer & projector\\
% \midrule
% Handy & mobile/cell phone\\
% \midrule
% Smoking & dinner jacket/tuxedo\\
% \midrule
% public viewing & \smiley\\
% \end{tabular}
% \end{table}
% \end{frame}

\section{Orthographie}
\begin{frame}
\frametitle{Gliederung}
\tableofcontents[currentsection]
\end{frame}

\subsection{British English/American English}
\begin{frame}{British English vs. American English}
\begin{block}{-our, -or}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}]\emph{colour, behaviour, favour}
\item[{\includegraphics[height=1.2ex]{figures/usa}}]\emph{color, behavior, favor}
\end{itemize}
\end{block}

\begin{block}{-re, -er}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}]\emph{centre, metre}
\item[{\includegraphics[height=1.2ex]{figures/usa}}]\emph{center, meter}
\end{itemize}
\end{block}

\begin{block}{-ise, -ize}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}] beides möglich: \emph{initialise/-ize, realise/-ize}
\item[{\includegraphics[height=1.2ex]{figures/usa}}] immer \textbf{-ize}: \emph{initialize, realize}
\end{itemize}
\end{block}

\ldots{} jedoch viele Ausnahmen. Im Zweifel Wörterbuch konsultieren.
\end{frame}

\begin{frame}{British English vs. American English}
\begin{block}{Konsonantenverdoppelung}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}] immer doppelt: \emph{modelling, cancelled}
\item[{\includegraphics[height=1.2ex]{figures/usa}}] üblicherweise einfach: \emph{modeling, canceled}
\end{itemize}
\end{block}

\begin{block}{Programm}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}] \emph{programme}
\item[{\includegraphics[height=1.2ex]{figures/usa}}] \emph{program}
\end{itemize}
\end{block}

\begin{block}{Datumsformat}
\begin{itemize}
\item[{\includegraphics[height=1.2ex]{figures/gb}}] (und Rest der Welt): \emph{24 August 2011}
\item[{\includegraphics[height=1.2ex]{figures/usa}}] \emph{August 24, 2011}
\end{itemize}
\end{block}

\end{frame}

\section{Grammatik}
\begin{frame}
\frametitle{Gliederung}
\tableofcontents[currentsection]
\end{frame}

\subsection{Satzbau}
\begin{frame}
\frametitle{Satzbau}
\begin{tikzpicture}
\node[roundbox, blueshading] (S) {\alert<2>{S}ubject\strut};
\node[roundbox, blueshading] (A) [right=of S] {\alert<2>{A}dverb\strut};
\node[roundbox, blueshading] (P) [right=of A] {\alert<2>{P}redicate\strut};
\node[roundbox, blueshading] (O) [right=of P] {\alert<2>{O}bject\strut};
\onslide<2>{
\node (sapo) [right=0ex of O] {
%\phantom{\includegraphics<1>[scale=.2]{figures/hypnotoad}}
\includegraphics<2->[scale=.2]{figures/hypnotoad}
%\includemovie[autoclose, text={\phantom{\includegraphics[width=3cm]{figures/hypnotoad}}}]{3cm}{2cm}{figures/hypnotoad.swf}
};
}

\onslide<3->{
\node[roundbox, greenshading, text width=3em, text centered] (s1) [below=of S] {I\strut};
\node[roundbox, greenshading] (a1) [below=of A] {never\strut};
\node[roundbox, greenshading] (p1) [below=of P] {drink\strut};
\node[roundbox, greenshading] (o1) [below=of O] {Moninger beer.\strut};
}

\end{tikzpicture}
\end{frame}

\begin{frame}
\frametitle{Satzbau}
\begin{tikzpicture}
\node[roundbox, blueshading] (S) {Subject\strut};
\node[roundbox, blueshading] (P1) [right=of S] {P1\strut};
\node[roundbox, blueshading] (A) [right=of P1] {Adverb\strut};
\node[roundbox, blueshading] (P2) [right=of A] {P2\strut};
\node[roundbox, blueshading] (O) [right=of P2] {Object\strut};

\onslide<2->{
\node[roundbox, greenshading, text width=3em, text centered] (s1) [below=of S] {I\strut};
\node[roundbox, greenshading] (p1) [below=of P1] {have\strut};
\node[roundbox, greenshading] (a1) [below=of A] {always\strut};
\node[roundbox, greenshading] (p2) [below=of P2] {liked\strut};
\node[roundbox, greenshading] (o1) [below=of O] {Hoepfner beer.\strut};
}

\end{tikzpicture}

\end{frame}

\begin{frame}
\frametitle{Adverbien -- Reihenfolge}
\begin{tikzpicture}
\node[roundbox, blueshading] (place) {place\strut};
\node[roundbox, blueshading] (manner) [right=1ex of place] {manner\strut};
\node[roundbox, blueshading] (time) [right=1ex of manner] {time\strut};

\onslide<2->{
\node[roundbox, greenshading] (m1) [below=of manner] {by train\strut};
\node[roundbox, greenshading] (p1) [left=1ex of m1] {to Munich\strut};
\node[roundbox, greenshading] (t1) [right=1ex of m1] {next week.\strut};
\node (sp1) [left=of p1] {I will travel\strut};
}

\end{tikzpicture}
\end{frame}

\subsection{Adverbien/Präpositionen}
\begin{frame}
\frametitle{since/for}
\begin{block}{since}
\begin{itemize}
\item wird bei Zeit\emph{punkt} verwendet
\item \textbf{Beispiel}: ``I've been working at KIT since 2009.''
\end{itemize}
\end{block}

\begin{block}{for}
\begin{itemize}
\item wird bei Zeit\emph{raum} verwendet
\item \textbf{Beispiel}: ``I've been living in Karlsruhe for eight years.''
\end{itemize}
\end{block}

\end{frame}

\begin{frame}
\frametitle{much/many}
\begin{block}{much}
\begin{itemize}
\item wird bei \emph{nicht zählbaren} Begriffen verwendet
\item \textbf{Beispiel}: ``Her talk attracted much attention within the audience.''
%\item meistens ist \emph{a lot of} besser
\end{itemize}
\end{block}

\begin{block}{many}
\begin{itemize}
\item wird bei \emph{zählbaren} Begriffen verwendet
\item \textbf{Beispiel}: ``He has written many research papers.''
\end{itemize}
\end{block}

\end{frame}

\begin{frame}
\frametitle{Relativpronomen}
\begin{block}{that}
\begin{itemize}
\item determining relative clause
\item kann \emph{nicht} weggelassen werden
\item \textbf{Beispiel}: ``Hoepfner is the beer that I like most.''
\end{itemize}
\end{block}

\begin{block}{which}
\begin{itemize}
\item non-determining relative clause
\item kann weggelassen werden
\item \textbf{Beispiel}: ``The Karlsruhe castle, which was built in 1715, is located in the city centre.''
\end{itemize}
\end{block}

\end{frame}

\begin{frame}
\frametitle{Demonstrativpronomen}
\begin{block}{that}
\begin{itemize}
\item bedeutet \enquote{jenes}
\item nur für entferntere (zeitlich, räumlich, im Text) Referenzen
\item \textbf{Beispiel}: That building over there is the St Bernhard church.
\end{itemize}
\end{block}
\begin{block}{this}
\begin{itemize}
\item bedeutet \enquote{dieses}
\item oft verwendet man fälschlicherweise \emph{that}, wo eigentlich \emph{this} verwendet werden sollte
\end{itemize}
\end{block}
\end{frame}

%\begin{frame}
%\frametitle{themselves/each other}
%\begin{exampleblock}{themselves}
%\begin{itemize}
%\item im reflexiven Fall
%\item Beispiel: ``These servers can reboot themselves if necessary.''
%\end{itemize}
%\end{exampleblock}
%\begin{exampleblock}{}
%\begin{itemize}
%\item im nicht-reflexiven Fall
%\item Beispiel: ``Our PhD students TODO''
%\end{itemize}
%\end{exampleblock}
%\end{frame}

\subsection{If-Clauses}
\begin{frame}
\frametitle{if-clauses}

\begin{exampleblock}{Typ I}
\begin{itemize}
\item Präsens + Futur I
\item \textbf{Beispiel:} If you speak English well, everyone will understand you.
\item Potentialis
\end{itemize}
\end{exampleblock}

\pause

\begin{exampleblock}{Typ II}
\begin{itemize}
\item Konjunktiv II + Conditional I
\item \textbf{Beispiel:} If I had a cat, I would name it ``Spot''.
\item Irrealis
\end{itemize}
\end{exampleblock}
\end{frame}

\begin{frame}
\frametitle{if-clauses}
\begin{exampleblock}{Typ III}
\begin{itemize}
\item Plusquamperfekt + Conditional II
\item \textbf{Beispiel:} If I had seen the traffic sign, I would have slowed down.
\item Irrealis der Vergangenheit
\end{itemize}
\end{exampleblock}

\pause

\begin{alertblock}{Golden Rule}
\begin{itemize}
\item Never use \emph{would} in an if-clause!
\item Falsch: \sout{If I would use}
\end{itemize}
\end{alertblock}
\end{frame}

\section{Aussprache}
\begin{frame}
\frametitle{Gliederung}
\tableofcontents[currentsection]
\end{frame}

\begin{frame}
\frametitle{Top 10 der falsch ausgesprochenen Begriffe}
\setbeamercovered{invisible}
\begin{table}
\begin{tabular}{rlll}
 \toprule
& \textbf{Wort} & \textbf{Falsche Aussprache} & \textbf{Richtige Aussprache}\\
\midrule

10. & \onslide<1->{vary} & \onslide<2->{\textipa{[v@\textprimstress raI]}} & \onslide<2->{\textipa{[\textprimstress veri]}}\\

9. & \onslide<3->{duplicate (adj.)} & \onslide<4->{\textipa{[\textprimstress d2plIk@t]}} & \onslide<4->{\textipa{[\textprimstress dju:plIk@t]}}\\

8. & \onslide<5->{fa\c{c}ade} & \onslide<6->{\textipa{[f@\textprimstress seId]}} & \onslide<6->{\textipa{[f@\textprimstress sA:d]}}\\

7. & \onslide<7->{legacy} & \onslide<8->{\textipa{[\textprimstress ledZ@si]}} & \onslide<8->{\textipa{[\textprimstress leg@si]}}\\

6. & \onslide<9->{alias} & \onslide<10->{\textipa{[@\textprimstress laI@s]}} & \onslide<10->{\textipa{[\textprimstress eIli@s]}}\\

5. & \onslide<11->{reference} & \onslide<12->{\textipa{[re\textprimstress f3:r\super{@}n(t)s]}} & \onslide<12->{\textipa{[\textprimstress ref\super{@}r\super{@}n(t)s]}}\\

4. & \onslide<13->{array} & \onslide<14->{\textipa{[\textprimstress eri]} oder \textipa{[\textprimstress erei]}} & \onslide<14->{\textipa{[@\textprimstress reI]}}\\

3. & \onslide<15->{bullet} & \onslide<16->{\textipa{[\textprimstress b2lIt]}} & \onslide<16->{\textipa{[\textprimstress bUlIt]}}\\

2. & \onslide<17->{review} & \onslide<18->{\textipa{[\textprimstress revju:]}} & \onslide<18->{\textipa{[rI\textprimstress vju:]}}\\

1. & \onslide<19->{variable} & \onslide<20->{\textipa{[v@\textprimstress raI@bl]}} & \onslide<20->{\textipa{[\textprimstress ve@ri@bl]}}\\
\bottomrule

\end{tabular}
\end{table}
\setbeamercovered{transparent}
\end{frame}

\begin{frame}{Falsch ausgesprochene Namen: Anhang}
\begin{table}
\begin{tabular}{rlll}
 \toprule
\textbf{Wort} & \textbf{Falsche Aussprache} & \textbf{Richtige Aussprache}\\
\midrule
\onslide<+->{Excel} & \onslide<+->{\textipa{[\textprimstress Eks\textsyllabic{l}]}} & \onslide<+->{\textipa{[Ik\textprimstress sEl]}}\\
\onslide<+->{PayPal} & \onslide<+->{\textipa{[\textprimstress peIpO:l]}} & \onslide<+->{\textipa{[\textprimstress peip\ae l]}}\\
\bottomrule

\end{tabular}
\end{table}
\end{frame}


\section{Deutsch}
\begin{frame}
\frametitle{Gliederung}
\tableofcontents[currentsection]
\end{frame}

\begin{frame}
\frametitle{\ldots{} und gutes Deutsch?}

\begin{table}
\begin{tabular}{p{.45\linewidth}p{.45\linewidth}}
\toprule
\textbf{English} & \textbf{Deutsch}\\
\midrule
``This does not make sense.'' & \enquote{Das ergibt keinen Sinn./Das hat keinen Sinn.}\\
\midrule
``Could you break down this task list for each person?'' & \enquote{Könnten Sie die Aufgabenliste nach Personen aufgliedern?}\\
\midrule
``The rationale of the approach'' & \enquote{Die Hintergründe des Ansatzes}\\
\midrule
``This operation does not have any side effects.'' & \enquote{Dieser Vorgang hat keine Nebenwirkungen.}\\
\bottomrule

\end{tabular}
\end{table}

\pause

\begin{exampleblock}{Fazit}
Wörtliche Übersetzungen werden zwar verstanden, sind aber u.U. schlechter Stil.
Wenn es eine exakte Übersetzung gibt, sollte diese verwendet werden.
\end{exampleblock}

\end{frame}

\begin{frame}
\frametitle{Bibliographie}
\nocite{strunk}
\begin{figure}
\includegraphics[height=4cm]{figures/elements}
\end{figure}
\printbibliography
\end{frame}
\end{document}
